<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= error_messages_for 'color' %>

<%= toolbar title: (color.new_record? ? t('.label_new_color') : t('.label_edit_color')) do %>
  <% if color.persisted? %>
  <li class="toolbar-item">
    <%= link_to color_path(color),
                method: :delete,
                data: { confirm: t('text_are_you_sure') },
                class: "button -danger" do %>
      <%= op_icon 'button--icon icon-delete' %>
      <span class="button--text"><%= t :button_delete %></span>
    <% end %>
  </li>
  <% end %>
<% end %>

<fieldset class="form--fieldset">
  <legend class="form--fieldset-legend"><%= t('colors.label_properties') %></legend>

  <div class="form--field -required">
    <%= f.text_field :name, required: true, container_class: '-slim' %>
  </div>
  <div class="form--field -required">
    <label class="form--label"><%= t('activerecord.attributes.color.hexcode') %></label>
    <span class="form--field-container">
      <span class="form--text-field-container -xslim">
        <%= text_field_tag "color_hexcode",
                           color.hexcode,
                           required: true,
                           name: "color[hexcode]",
                           maxlength: 7 %>
      </span>
      <%= icon_for_color(color, class: 'color--preview', data: { target: '#color_hexcode' }) %>
    </span>
  </div>
</fieldset>

<%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<%= link_to t(:button_cancel), colors_path, class: 'button -with-icon icon-cancel' %>
